Выполнение произвольного кода в LinPopUp

Дата публикации:21.12.2004
Всего просмотров:930
Опасность:
Высокая
Наличие исправления:
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты:
Уязвимые версии: LinPopUp 1.2.0

Описание:
Обнаружена уязвимость в LinPopUp. Удаленный атакующий может выполнить произвольный код на уязвимой системе.

Уязвимость существует в функции strexpand() файла 'string.c'. Удаленный атакующий может создать специальным образом LinPopUp сообщение, вызвать переполнение буфера и выполнить произвольный код на уязвимой системе с привилегиями LinPopUp процесса.

URL производителя: www.littleigloo.org/downloads_002.php3

Решение: Решение не существует на данный момент.

Ссылки: LinPopUp Buffer Overflow in strexpand() Lets Remote Users Execute Arbitrary Code